Problems upgrading CentOS

General support questions
Post Reply
ranza
Posts: 2
Joined: 2015/03/16 13:44:16

Problems upgrading CentOS

Post by ranza » 2015/03/16 13:49:39

Hello all,

today I was trying to update my CentOS 6 installation using the yum update command.
Updating was impossible due to the following error:

Code: Select all

error: rpmts_HdrFromFdno: Header V3 DSA/SHA1 Signature, key ID 00f97f56: BAD
Problem opening package php-mysqlnd-5.5.22-1.el6.remi.x86_64.rpm
The complete output:

Code: Select all

Loaded plugins: fastestmirror, presto, priorities
Setting up Update Process
Loading mirror speeds from cached hostfile
Could not get metalink https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=x86_64 error was
14: PYCURL ERROR 77 - "Problem with the SSL CA cert (path? access rights?)"
 * Webmin: webmin.mirror.somersettechsolutions.co.uk
 * base: centos.muzzy.it
 * epel: mirrors.ircam.fr
 * extras: centos.muzzy.it
 * remi: remi.check-update.co.uk
 * remi-php55: remi.check-update.co.uk
 * updates: centos.muzzy.it
Resolving Dependencies
--> Running transaction check
---> Package bind-libs.x86_64 32:9.8.2-0.30.rc1.el6_6.1 will be updated
---> Package bind-libs.x86_64 32:9.8.2-0.30.rc1.el6_6.2 will be an update
---> Package bind-utils.x86_64 32:9.8.2-0.30.rc1.el6_6.1 will be updated
---> Package bind-utils.x86_64 32:9.8.2-0.30.rc1.el6_6.2 will be an update
---> Package curl.x86_64 0:7.19.7-40.el6_6.3 will be updated
---> Package curl.x86_64 0:7.19.7-40.el6_6.4 will be an update
---> Package device-mapper-multipath.x86_64 0:0.4.9-80.el6_6.2 will be updated
---> Package device-mapper-multipath.x86_64 0:0.4.9-80.el6_6.3 will be an update
---> Package device-mapper-multipath-libs.x86_64 0:0.4.9-80.el6_6.2 will be updated
---> Package device-mapper-multipath-libs.x86_64 0:0.4.9-80.el6_6.3 will be an update
---> Package dhclient.x86_64 12:4.1.1-43.P1.el6.centos will be updated
---> Package dhclient.x86_64 12:4.1.1-43.P1.el6.centos.1 will be an update
---> Package dhcp-common.x86_64 12:4.1.1-43.P1.el6.centos will be updated
---> Package dhcp-common.x86_64 12:4.1.1-43.P1.el6.centos.1 will be an update
---> Package dracut.noarch 0:004-356.el6 will be updated
---> Package dracut.noarch 0:004-356.el6_6.1 will be an update
---> Package dracut-kernel.noarch 0:004-356.el6 will be updated
---> Package dracut-kernel.noarch 0:004-356.el6_6.1 will be an update
---> Package glibc.x86_64 0:2.12-1.149.el6_6.4 will be updated
---> Package glibc.x86_64 0:2.12-1.149.el6_6.5 will be an update
---> Package glibc-common.x86_64 0:2.12-1.149.el6_6.4 will be updated
---> Package glibc-common.x86_64 0:2.12-1.149.el6_6.5 will be an update
---> Package kernel.x86_64 0:2.6.32-504.12.2.el6 will be installed
---> Package kernel-firmware.noarch 0:2.6.32-504.3.3.el6 will be updated
---> Package kernel-firmware.noarch 0:2.6.32-504.12.2.el6 will be an update
---> Package kpartx.x86_64 0:0.4.9-80.el6_6.2 will be updated
---> Package kpartx.x86_64 0:0.4.9-80.el6_6.3 will be an update
---> Package libcurl.x86_64 0:7.19.7-40.el6_6.3 will be updated
---> Package libcurl.x86_64 0:7.19.7-40.el6_6.4 will be an update
---> Package libssh2.x86_64 0:1.4.2-1.el6 will be updated
---> Package libssh2.x86_64 0:1.4.2-1.el6_6.1 will be an update
---> Package mysql-community-client.x86_64 0:5.6.22-2.el6 will be updated
---> Package mysql-community-client.x86_64 0:5.6.23-2.el6 will be an update
---> Package mysql-community-common.x86_64 0:5.6.22-2.el6 will be updated
---> Package mysql-community-common.x86_64 0:5.6.23-2.el6 will be an update
---> Package mysql-community-libs.x86_64 0:5.6.22-2.el6 will be updated
---> Package mysql-community-libs.x86_64 0:5.6.23-2.el6 will be an update
---> Package mysql-community-server.x86_64 0:5.6.22-2.el6 will be updated
---> Package mysql-community-server.x86_64 0:5.6.23-2.el6 will be an update
---> Package nss-softokn.x86_64 0:3.14.3-19.el6_6 will be updated
---> Package nss-softokn.x86_64 0:3.14.3-22.el6_6 will be an update
---> Package nss-softokn-freebl.x86_64 0:3.14.3-18.el6_6 will be updated
---> Package nss-softokn-freebl.x86_64 0:3.14.3-22.el6_6 will be an update
---> Package openssl.x86_64 0:1.0.1e-30.el6_6.4 will be updated
---> Package openssl.x86_64 0:1.0.1e-30.el6_6.5 will be an update
---> Package php.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-bcmath.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-bcmath.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-cli.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-cli.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-common.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-common.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-gd.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-gd.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-mbstring.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-mbstring.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-mcrypt.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-mcrypt.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-mysqlnd.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-mysqlnd.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-pdo.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-pdo.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-pear.noarch 1:1.9.5-3.el6.remi will be updated
---> Package php-pear.noarch 1:1.9.5-9.el6.remi will be an update
---> Package php-pecl-jsonc.x86_64 0:1.3.6-1.el6.remi.5.5.1 will be updated
---> Package php-pecl-jsonc.x86_64 0:1.3.7-1.el6.remi.5.5 will be an update
---> Package php-phpseclib-crypt-aes.noarch 0:0.3.9-1.el6.remi will be updated
---> Package php-phpseclib-crypt-aes.noarch 0:0.3.10-1.el6.remi will be an update
---> Package php-phpseclib-crypt-base.noarch 0:0.3.9-1.el6.remi will be updated
---> Package php-phpseclib-crypt-base.noarch 0:0.3.10-1.el6.remi will be an update
---> Package php-phpseclib-crypt-random.noarch 0:0.3.9-1.el6.remi will be updated
---> Package php-phpseclib-crypt-random.noarch 0:0.3.10-1.el6.remi will be an update
---> Package php-phpseclib-crypt-rijndael.noarch 0:0.3.9-2.el6 will be updated
---> Package php-phpseclib-crypt-rijndael.noarch 0:0.3.10-1.el6.remi will be an update
---> Package php-process.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-process.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-recode.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-recode.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-tcpdf.noarch 0:6.1.1-1.el6.remi will be updated
---> Package php-tcpdf.noarch 0:6.2.6-1.el6.remi will be an update
---> Package php-tcpdf-dejavu-sans-fonts.noarch 0:6.1.1-1.el6.remi will be updated
---> Package php-tcpdf-dejavu-sans-fonts.noarch 0:6.2.6-1.el6.remi will be an update
---> Package php-tidy.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-tidy.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package php-xml.x86_64 0:5.5.20-2.el6.remi will be updated
---> Package php-xml.x86_64 0:5.5.22-1.el6.remi will be an update
---> Package phpMyAdmin.noarch 0:4.3.6-1.el6.remi will be updated
---> Package phpMyAdmin.noarch 0:4.3.12-1.el6.remi will be an update
---> Package selinux-policy.noarch 0:3.7.19-260.el6_6.1 will be updated
---> Package selinux-policy.noarch 0:3.7.19-260.el6_6.2 will be an update
---> Package selinux-policy-targeted.noarch 0:3.7.19-260.el6_6.1 will be updated
---> Package selinux-policy-targeted.noarch 0:3.7.19-260.el6_6.2 will be an update
---> Package tzdata.noarch 0:2014j-1.el6 will be updated
---> Package tzdata.noarch 0:2015a-1.el6 will be an update
---> Package webmin.noarch 0:1.730-1 will be updated
---> Package webmin.noarch 0:1.740-1 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                    Arch   Version              Repository         Size
================================================================================
Installing:
 kernel                     x86_64 2.6.32-504.12.2.el6  updates            29 M
Updating:
 bind-libs                  x86_64 32:9.8.2-0.30.rc1.el6_6.2
                                                        updates           884 k
 bind-utils                 x86_64 32:9.8.2-0.30.rc1.el6_6.2
                                                        updates           185 k
 curl                       x86_64 7.19.7-40.el6_6.4    updates           194 k
 device-mapper-multipath    x86_64 0.4.9-80.el6_6.3     updates           122 k
 device-mapper-multipath-libs
                            x86_64 0.4.9-80.el6_6.3     updates           190 k
 dhclient                   x86_64 12:4.1.1-43.P1.el6.centos.1
                                                        updates           318 k
 dhcp-common                x86_64 12:4.1.1-43.P1.el6.centos.1
                                                        updates           143 k
 dracut                     noarch 004-356.el6_6.1      updates           123 k
 dracut-kernel              noarch 004-356.el6_6.1      updates            25 k
 glibc                      x86_64 2.12-1.149.el6_6.5   updates           3.8 M
 glibc-common               x86_64 2.12-1.149.el6_6.5   updates            14 M
 kernel-firmware            noarch 2.6.32-504.12.2.el6  updates            14 M
 kpartx                     x86_64 0.4.9-80.el6_6.3     updates            63 k
 libcurl                    x86_64 7.19.7-40.el6_6.4    updates           166 k
 libssh2                    x86_64 1.4.2-1.el6_6.1      updates           123 k
 mysql-community-client     x86_64 5.6.23-2.el6         mysql56-community  18 M
 mysql-community-common     x86_64 5.6.23-2.el6         mysql56-community 307 k
 mysql-community-libs       x86_64 5.6.23-2.el6         mysql56-community 1.9 M
 mysql-community-server     x86_64 5.6.23-2.el6         mysql56-community  53 M
 nss-softokn                x86_64 3.14.3-22.el6_6      updates           262 k
 nss-softokn-freebl         x86_64 3.14.3-22.el6_6      updates           167 k
 openssl                    x86_64 1.0.1e-30.el6_6.5    updates           1.5 M
 php                        x86_64 5.5.22-1.el6.remi    remi-php55        2.6 M
 php-bcmath                 x86_64 5.5.22-1.el6.remi    remi-php55         52 k
 php-cli                    x86_64 5.5.22-1.el6.remi    remi-php55        3.7 M
 php-common                 x86_64 5.5.22-1.el6.remi    remi-php55        1.0 M
 php-gd                     x86_64 5.5.22-1.el6.remi    remi-php55         72 k
 php-mbstring               x86_64 5.5.22-1.el6.remi    remi-php55        961 k
 php-mcrypt                 x86_64 5.5.22-1.el6.remi    remi-php55         43 k
 php-mysqlnd                x86_64 5.5.22-1.el6.remi    remi-php55        265 k
 php-pdo                    x86_64 5.5.22-1.el6.remi    remi-php55        112 k
 php-pear                   noarch 1:1.9.5-9.el6.remi   remi              356 k
 php-pecl-jsonc             x86_64 1.3.7-1.el6.remi.5.5 remi-php55         48 k
 php-phpseclib-crypt-aes    noarch 0.3.10-1.el6.remi    remi              6.7 k
 php-phpseclib-crypt-base   noarch 0.3.10-1.el6.remi    remi               17 k
 php-phpseclib-crypt-random noarch 0.3.10-1.el6.remi    remi              9.1 k
 php-phpseclib-crypt-rijndael
                            noarch 0.3.10-1.el6.remi    remi               18 k
 php-process                x86_64 5.5.22-1.el6.remi    remi-php55         57 k
 php-recode                 x86_64 5.5.22-1.el6.remi    remi-php55         29 k
 php-tcpdf                  noarch 6.2.6-1.el6.remi     remi              2.8 M
 php-tcpdf-dejavu-sans-fonts
                            noarch 6.2.6-1.el6.remi     remi              305 k
 php-tidy                   x86_64 5.5.22-1.el6.remi    remi-php55         47 k
 php-xml                    x86_64 5.5.22-1.el6.remi    remi-php55        208 k
 phpMyAdmin                 noarch 4.3.12-1.el6.remi    remi              4.5 M
 selinux-policy             noarch 3.7.19-260.el6_6.2   updates           863 k
 selinux-policy-targeted    noarch 3.7.19-260.el6_6.2   updates           3.0 M
 tzdata                     noarch 2015a-1.el6          updates           440 k
 webmin                     noarch 1.740-1              Webmin             24 M

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade      48 Package(s)

Total size: 184 M
Downloading Packages:
error: rpmts_HdrFromFdno: Header V3 DSA/SHA1 Signature, key ID 00f97f56: BAD


Problem opening package php-mysqlnd-5.5.22-1.el6.remi.x86_64.rpm
If I try to update a single package (webmin for example), I get the same error message:

Code: Select all

yum update webmin
Loaded plugins: fastestmirror, presto, priorities
Setting up Update Process
Loading mirror speeds from cached hostfile
Could not get metalink https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=x86_64 error was
14: PYCURL ERROR 77 - "Problem with the SSL CA cert (path? access rights?)"
 * Webmin: webmin.mirror.somersettechsolutions.co.uk
 * base: centos.muzzy.it
 * epel: mirrors.ircam.fr
 * extras: centos.muzzy.it
 * remi: remi.check-update.co.uk
 * remi-php55: remi.check-update.co.uk
 * updates: centos.muzzy.it
Resolving Dependencies
--> Running transaction check
---> Package webmin.noarch 0:1.730-1 will be updated
---> Package webmin.noarch 0:1.740-1 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch              Version            Repository         Size
================================================================================
Updating:
 webmin            noarch            1.740-1            Webmin             24 M

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total size: 24 M
Is this ok [y/N]: y
Downloading Packages:
error: rpmts_HdrFromFdno: Header V3 DSA/SHA1 Signature, key ID 11f63c51: BAD


Problem opening package webmin-1.740-1.noarch.rpm
Could you kindly help me to solve this problem?
Many thanks in advance! ;)

User avatar
TrevorH
Forum Moderator
Posts: 27127
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problems upgrading CentOS

Post by TrevorH » 2015/03/16 14:27:33

Please post the output from rpm -qa nss-softokn\*

While you wait, under NO CIRCUMSTANCES should you run rpm --rebuilddb. Do not do it!
CentOS 6 will die in November 2020 - migrate sooner rather than later!
CentOS 5 has been EOL for nearly 3 years and should no longer be used for anything!
Full time Geek, part time moderator. Use the FAQ Luke

ranza
Posts: 2
Joined: 2015/03/16 13:44:16

Re: Problems upgrading CentOS

Post by ranza » 2015/03/16 14:33:28

Problem solved using the following:

Code: Select all

wget http://mirror.centos.org/centos/6/updates/x86_64/Packages/nss-softokn-freebl-3.14.3-19.el6_6.x86_64.rpm
rpm2cpio nss-softokn-freebl-3.14.3-19.el6_6.x86_64.rpm | cpio -idmv
cd lib64
cp libfreeblpriv3.* /lib64
yum update

itmustbe
Posts: 2
Joined: 2015/08/13 02:04:33

Re: Problems upgrading CentOS

Post by itmustbe » 2015/08/13 02:40:26

Do you now how to perform this update now that the mirror wget link listed above returns Not Found?

I waited WAY too long to discover this thread :(

And now I do, the wget mirror above no longer works for the nss-softokn-freebl package...

My situation is just as described above, but I don't know what to do, as I can't seem to find the updated -freebl package on any mirror!

---> Package nss-softokn.x86_64 0:3.14.3-19.el6_6 will be updated ---> Package nss-softokn.x86_64 0:3.14.3-22.el6_6 will be an update ---> Package nss-softokn-freebl.x86_64 0:3.14.3-18.el6_6 will be updated ---> Package nss-softokn-freebl.x86_64 0:3.14.3-22.el6_6 will be an update

I've tried changing the number in the link above from "19" to "22" but it's still not found.

Does anyone know how I should proceed here? Sorry I don't know my way around Yum or RPM, but my yum updater is definitely broken with all the symptoms in this thread! I'm running CentOS Linux 6.6 with Virtualmin 4.13.gpl GPL

User avatar
TrevorH
Forum Moderator
Posts: 27127
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problems upgrading CentOS

Post by TrevorH » 2015/08/13 08:19:44

CentOS 6.7 has been released and the 6.6 files have been moved to vault.centos.org so you probably need to wget http://vault.centos.org/6.6/updates/x86 ... x86_64.rpm
CentOS 6 will die in November 2020 - migrate sooner rather than later!
CentOS 5 has been EOL for nearly 3 years and should no longer be used for anything!
Full time Geek, part time moderator. Use the FAQ Luke

itmustbe
Posts: 2
Joined: 2015/08/13 02:04:33

Re: Problems upgrading CentOS

Post by itmustbe » 2015/08/13 15:36:43

Thank you so much! :)

I had been searching mirror.centos.org so no wonder I didn't find it.

If anyone finds this thread, the actual wget link to use now is this (almost like TrevorH's reply above only I added the "-freebl" in, as that's the out-of-date package for me, stuck on -18)

wget http://vault.centos.org/6.6/updates/x86 ... x86_64.rpm

Post Reply

Return to “CentOS 6 - General Support”